summaryrefslogtreecommitdiffstats
path: root/source.local/ap/lsof/lsof.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source.local/ap/lsof/lsof.SlackBuild')
-rwxr-xr-xsource.local/ap/lsof/lsof.SlackBuild84
1 files changed, 84 insertions, 0 deletions
diff --git a/source.local/ap/lsof/lsof.SlackBuild b/source.local/ap/lsof/lsof.SlackBuild
new file mode 100755
index 0000000..5351609
--- /dev/null
+++ b/source.local/ap/lsof/lsof.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified 2012 by Eric Hameleers <alien at slackware.com> for ARM port.
+
+
+VERSION=${VERSION:-$(echo lsof_*.tar.bz2 | rev | cut -f 3- -d . | cut -f 1 -d _ | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-lsof
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf lsof_$VERSION
+tar xjvf $CWD/lsof_$VERSION.tar.bz2 || exit 1
+cd lsof_$VERSION || exit 1
+tar xvf lsof_${VERSION}_src.tar || exit 1
+cd lsof_${VERSION}_src || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+echo n | ./Configure linux
+make
+strip lsof
+mkdir -p $PKG/usr/bin
+cat lsof > $PKG/usr/bin/lsof
+# No, NOT suid.
+chmod 755 $PKG/usr/bin/lsof
+mkdir -p $PKG/usr/man/man8
+cat lsof.8 | gzip -9c > $PKG/usr/man/man8/lsof.8.gz
+mkdir -p $PKG/usr/doc/lsof-$VERSION
+cp -a 00* $PKG/usr/doc/lsof-$VERSION
+chmod 644 $PKG/usr/doc/lsof-$VERSION/*
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/lsof-$VERSION-$ARCH-$BUILD.txz
+